sfs_config(5)

NAME
sfs_config - system-wide configuration parameters

DESCRIPTION
The sfs_config file lets you set the following system-wide parameters:

sfsdir directory
    The directory in which SFS stores its working files. The default is /var/sfs, unless you changed this with the -with-sfsdir option to configure.

sfsuser sfs-user [sfs-group]
    As described in Building, SFS needs its own user and group to run. This configuration directive lets you set the user and group IDs SFS should use. By default, sfs-user is sfs and sfs-group is the same as sfs-user. The sfsuser directive lets you supply either a user and group name, or numeric IDs to change the default. Note: If you change sfs-group, you must make sure the the program /usr/local/lib/sfs-0.7.2/suidconnect is setgid to the new sfs-group.

anonuser {user | uid gid}
    Specifies an unprivileged user id to be used for anonymous file access. If specified as user, the name user will be looked up in the password file, and the login group of that user used as the group id. Can alternatively be specified as a numeric uid and gid. The default is to use -1 for both the uid and gid, though the default sfs_config file specifies the user name nobody.

ResvGids low-gid high-gid
    SFS lets users run multiple instances of the sfsagent program. However, it needs to modify processes' group lists so as to know which file system requests correspond to which agents. The ResvGids directive gives SFS a range of group IDs it can use to tag processes corresponding to a particular agent. (Typically, a range of 16 gids should be plenty.) Note that the range is inclusive--both low-gid and high-gid are considered reserved gids.

    The setuid root program newaid lets users take on any of these group IDs. Thus, make sure these groups are not used for anything else, or you will create a security hole. There is no default for ResvGids.

    Note that after changing ResvGids, you must kill and restart sfscd for things to work properly.

RSASize bits
    Sets the default size of public keys for cryptosystems that are based on the diffculty of factoring integers. The Rabin public keys used in self-certifying pathnames are affected by this paremeter. The default value of bits is 1280.

DlogSize bits
    Sets the default size of public keys for cryptosystems that are based on the diffculty of taking discrete logs in subgroups of Z@emph{p}*. This parameter affects SRP paremeter and 2-Schnorr key generation. The default value of bits is 1024.

PwdCost cost
    Sets the computational cost of processing a user-chosen password. SFS uses passwords to encrypt users' private keys. Unfortunately, users tend to choose poor passwords. As computers get faster, guessing passwords gets easier. By increasing the cost parameter, you can maintain the cost of guessing passwords as hardware improves. The change will apply to new keys, and to old keys after people run sfskey edit.

    The default value is 11. cost is an exponential parameter. Thus, you probably don't want anything too much larger. The maximum value is 32--at which point password hashing will not terminate in any tractable amount of time and the sfskey command will be unusable.

LogPriority facility.level
    Sets the syslog facility and level at which SFS should log activity. The default is daemon.notice.

FILES

/etc/sfs/sfs_config
/usr/local/share/sfs/sfs_config
    system-wide configuration parameters

(Files in /etc/sfs supersede default versions in /usr/local/share/sfs.)

SEE ALSO
dirsearch(1), newaid(1), rex(1), sfsagent(1), sfskey(1), ssu(1), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfsauthd(8), sfscd(8), sfsrwsd(8), sfssd(8), vidb(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

AUTHOR
sfsdev@redlab.lcs.mit.edu